#
# spec file for package lighttpd (Version 1.4.32)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lighttpd
Version:        1.4.35
Release:        1.4
#
%define pkg_name lighttpd
%define pkg_user lighttpd
%define pkg_home /var/lib/%{pkg_name}
#
Group:          Productivity/Networking/Web/Servers
License:        BSD 3-Clause
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  FastCGI-devel e2fsprogs-devel fam-devel gdbm-devel libattr-devel libmemcache-devel libxml2-devel mysql-devel openldap2-devel pcre-devel pkgconfig pwdutils zlib-devel
#
%define with_tests 1
%define with_enh_webdav 1
%define with_mod_magnet 1
%if 0%{?sles_version} == 9
%define with_tests 0
%define with_enh_webdav 0
%endif
%if 0%{?suse_version} > 1020
%define with_susefirewall_config 1
%endif
#
%if 0%{?with_enh_webdav}
BuildRequires:  sqlite-devel >= 3
%endif
#
%if "x%{?_repository}" != "x" && "x%{?_repository}" != "xstandard"
%if 0%{?suse_version} < 1030
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif
%define with_geoip 1
%else
BuildRequires:  lua-devel
%if 0%{?sles_version} == 9
%define with_mod_magnet 0
%endif
%endif
#
%if 0%{?with_geoip}
BuildRequires:  GeoIP-devel
%endif
#
%if 0%{?with_tests}
BuildRequires:  php5-fastcgi
%endif
#
%if 0%{?suse_version} < 1000
BuildRequires:  libstdc++-devel
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  libbz2-devel
%endif
%if 0%{?suse_version} >= 1010
Recommends:     logrotate
%endif
PreReq:         %insserv_prereq %fillup_prereq pwdutils
Requires:       spawn-fcgi
#
Url:            http://www.lighttpd.net/
Source:         http://www.lighttpd.net/download/%{pkg_name}-%{version}.tar.bz2
Source1:        %{pkg_name}.init
Source2:        %{pkg_name}.sysconfig
Source3:        config.tar.bz2
Source4:        lightytest.sh
Source5:        lighttpd.SuSEfirewall
Source6:        lighttpd-ssl.SuSEfirewall
Source7:        lighttpd.logrotate
Patch:          lighttpd-1.4.13_geoip.patch
##Patch1:         lighttpd-ssl-retval-fix.patch
#
Summary:        A Secure, Fast, Compliant, and Very Flexible Web Server
%description
Lighttpd is a secure, fast, compliant, and very flexible Web server
that has been optimized for high-performance environments. It has a
very low memory footprint compared to other Web servers and takes care
of CPU load. Its advanced feature set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting, and more) makes lighttpd the perfect
Web server software for every server that is suffering load problems.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_cml
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        CML (Cache Meta Language) module for Lighttpd
%description mod_cml
CML is a Meta language to describe the dependencies of a page at one
side and building a page from its fragments on the oth er side using
LUA.

CML (Cache Meta Language) wants to solves several problems:

* dynamic content needs caching to perform

* checking if the content is dirty inside of the application is
   usually more expensive than sending out the cached data

* a dynamic page is usually fragmented and the fragments have
   different livetimes

* the different fragements can be cached independently



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_magnet
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        A module to control the request handling in lighttpd
%description mod_magnet
A module to control the request handling in lighttpd.

It is the successor of mod_cml.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_mysql_vhost
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        MySQL based virtual hosts (vhosts) module for Lighttpd
%description mod_mysql_vhost
With MySQL based vhosting you can put the information where to look for
a. document-root of a given host into a MySQL database.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_trigger_b4_dl
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        Another anti hot-linking module for Lighttpd
%description mod_trigger_b4_dl
Anti Hotlinking:

* if user requests download-url directly the request is denied and
   he is redirected to ''deny-url'

* if user visits trigger-url before requesting download-url access
   is granted

* if user visits download-url again after trigger-timeout has run
   down to the request is denied and he is redirected  to deny-url

The storage for the trigger information is either stored locally in a
gdbm file or remotly in memcached.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%package mod_rrdtool
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Requires:       rrdtool
Group:          Productivity/Networking/Web/Servers
Summary:        Lighttpd module to feed rrdtool databases
%description mod_rrdtool
RRD_tool is a system to store and display time-series data (i.e.
network bandwidth, machine-room temperature, server load average).

This module feeds an rrdtool database with the traffic stats from
lighttpd.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%if 0%{?with_geoip}

%package mod_geoip
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        A Secure, Fast, Compliant, and Very Flexible Web Server
%description mod_geoip
Lighttpd a secure, fast, compliant, and very flexible Web server that
has been optimized for high-performance environments. It has a very low
memory footprint compared to other Web servers and takes care of CPU
load.  Its advanced feature set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting, and more) makes lighttpd the perfect
Web server software for every server that is suffering load problems.

This is just a dummy package which is not build in autobuild. see the
buildservice project server:http if you want it.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%endif

%package mod_webdav
License:        BSD 3-Clause
Requires:       %{name} = %{version}
Group:          Productivity/Networking/Web/Servers
Summary:        WebDAV module for Lighttpd
%description mod_webdav
The WebDAV module is a very minimalistic implementation of RFC 2518.
Minimalistic means that not all operations are implementated yet..

So far we have

* PROPFIND

* OPTIONS

* MKCOL

* DELETE

* PUT

and the usual GET, POST, HEAD from HTTP/1.1..

So far mounting a webdav resource into Windows XP works and the basic
litmus tests are passed.



Authors:
--------
    Jan Kneschke <jan@kneschke.de>

%prep
%setup -a 3
%if 0%{?with_geoip}
%patch
%endif
##patch1 -p1

%build
%if 0%{?with_geoip}
autoreconf
%endif
export CFLAGS="%{optflags} -DLDAP_DEPRECATED -W -Wmissing-prototypes -Wmissing-declarations -Wpointer-arith -Wchar-subscripts -Wformat=2 -Wbad-function-cast -std=gnu99"
%if %suse_version > 1000
export CFLAGS="$CFLAGS -fstack-protector"
%endif
%configure                      \
    --bindir=%{_sbindir}        \
    --libdir=%{_libdir}/%{pkg_name} \
    --enable-lfs                \
    --enable-ipv6               \
    --with-ldap                 \
    --with-mysql                \
    --with-openssl              \
    --with-kerberos5            \
    --with-gdbm                 \
    --with-lua                  \
    --with-memcache             \
    --with-bzip2                \
%if 0%{?with_enh_webdav}
    --with-webdav-props         \
    --with-webdav-locks         \
%endif
    --with-fam                  \
    --with-attr
%{__make}
%if 0%{?with_tests}
sh -x %{S:4}
%endif

%install
%makeinstall
%{__install} -d -m 0755                            \
    %{buildroot}%{pkg_home}/sockets/               \
    %{buildroot}%{_var}/cache/%{pkg_name}/compress \
    %{buildroot}%{_var}/log/%{pkg_name}            \
    %{buildroot}%{_sysconfdir}/%{pkg_name}
#
# init script
#
%{__install} -D -m 0755 %{S:1} \
    %{buildroot}%{_sysconfdir}/init.d/%{pkg_name}
%{__ln_s} -f %{_sysconfdir}/init.d/%{pkg_name} %{buildroot}%{_sbindir}/rc%{pkg_name}
#
# sample config
#
perl -p -i.orig -e 's|^(server\.tag = ).*$|$1 "%{pkg_name} (%{version}/SuSE)"|' config/lighttpd.conf
diff -ur config/lighttpd.conf{.orig,} ||:
%{__rm} -vf config/lighttpd.conf.orig ||:
%{__cp} -rv config/* %{buildroot}%{_sysconfdir}/%{pkg_name}/
# only needed when build with mod_geoip support
%if ! 0%{?with_geoip}
%{__rm} -v %{buildroot}%{_sysconfdir}/%{pkg_name}/conf.d/geoip.conf
%endif
#
# sysconfig template
#
%{__install} -D -m 0644 %{S:2} \
    %{buildroot}/var/adm/fillup-templates/sysconfig.%{pkg_name}
#
# susefirewall config file
#
%if 0%{?with_susefirewall_config}
%{__install} -D -m 0644 %{S:5} \
    %{buildroot}/etc/sysconfig/SuSEfirewall2.d/services/lighttpd
%{__install} -D -m 0644 %{S:6} \
    %{buildroot}/etc/sysconfig/SuSEfirewall2.d/services/lighttpd-ssl
%endif
#
# logrotate config
#
%{__install} -D -m 0644 %{S:7} \
    %{buildroot}/etc/logrotate.d/%{name}
#
# remove the .la files. we dont need them.
#
%{__rm} -vf %{buildroot}%{_libdir}/%{pkg_name}/*.la

%clean
%{__rm} -rf %{buildroot};

%pre
#
# e.g. adding user
#
/usr/sbin/groupadd -r %{pkg_user} &>/dev/null ||:
/usr/sbin/useradd  -g %{pkg_user} -s /bin/false -r -c "user for %{pkg_user}" -d %{pkg_home} %{pkg_user} &>/dev/null ||:

%post
%fillup_and_insserv %{pkg_name}

%preun
%stop_on_removal %{pkg_name}

%postun
%restart_on_update %{pkg_name}
%{insserv_cleanup}

%files
%defattr(-,root,root,-)
%if 0%{?with_susefirewall_config}
%config(noreplace) /etc/sysconfig/SuSEfirewall2.d/services/lighttpd*
%endif
%config(noreplace) /etc/logrotate.d/%{name}
%{_sbindir}/*
%dir               %attr(750,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}
%dir               %attr(750,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d
%dir               %attr(750,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/vhosts.d
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/lighttpd.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/modules.conf
# modules config
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/access_log.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/auth.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/cgi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/compress.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/debug.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/dirlisting.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/evhost.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/expire.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/fastcgi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/mime.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/mod.template
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/proxy.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/scgi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/secdownload.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/simple_vhost.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/ssi.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/status.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/userdir.conf
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/vhosts.d/vhosts.template
# modules
%dir %{_libdir}/%{pkg_name}
%{_libdir}/%{pkg_name}/mod_access.so
%{_libdir}/%{pkg_name}/mod_accesslog.so
%{_libdir}/%{pkg_name}/mod_alias.so
%{_libdir}/%{pkg_name}/mod_auth.so
%{_libdir}/%{pkg_name}/mod_cgi.so
%{_libdir}/%{pkg_name}/mod_compress.so
%{_libdir}/%{pkg_name}/mod_dirlisting.so
%{_libdir}/%{pkg_name}/mod_evasive.so
%{_libdir}/%{pkg_name}/mod_evhost.so
%{_libdir}/%{pkg_name}/mod_expire.so
%{_libdir}/%{pkg_name}/mod_extforward.so
%{_libdir}/%{pkg_name}/mod_fastcgi.so
%{_libdir}/%{pkg_name}/mod_flv_streaming.so
%{_libdir}/%{pkg_name}/mod_indexfile.so
%{_libdir}/%{pkg_name}/mod_proxy.so
%{_libdir}/%{pkg_name}/mod_redirect.so
%{_libdir}/%{pkg_name}/mod_rewrite.so
%{_libdir}/%{pkg_name}/mod_scgi.so
%{_libdir}/%{pkg_name}/mod_secdownload.so
%{_libdir}/%{pkg_name}/mod_setenv.so
%{_libdir}/%{pkg_name}/mod_simple_vhost.so
%{_libdir}/%{pkg_name}/mod_ssi.so
%{_libdir}/%{pkg_name}/mod_staticfile.so
%{_libdir}/%{pkg_name}/mod_status.so
%{_libdir}/%{pkg_name}/mod_userdir.so
%{_libdir}/%{pkg_name}/mod_usertrack.so
%{_mandir}/man8/*.8*
%config(noreplace) %{_sysconfdir}/init.d/%{pkg_name}
%doc AUTHORS NEWS README
%doc doc/outdated/*.dot
%doc doc/scripts/spawn-php.sh
%doc doc/outdated/*.txt
/var/adm/fillup-templates/sysconfig.%{pkg_name}
%dir %attr(751,%{pkg_user},%{pkg_user}) %{pkg_home}/
%dir %attr(751,%{pkg_user},%{pkg_user}) %{pkg_home}/sockets/
%attr(751,%{pkg_user},%{pkg_user}) %{_var}/cache/%{pkg_name}/
%dir %attr(750,%{pkg_user},%{pkg_user}) %{_var}/log/%{pkg_name}/

%files mod_rrdtool
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/rrdtool.conf
%doc doc/scripts/rrdtool-graph.sh
%{_libdir}/%{pkg_name}/mod_rrdtool.so

%files mod_cml
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/cml.conf
%{_libdir}/%{pkg_name}/mod_cml.so

%files mod_magnet
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/magnet.conf
%{_libdir}/%{pkg_name}/mod_magnet.so

%files mod_mysql_vhost
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/mysql_vhost.conf
%{_libdir}/%{pkg_name}/mod_mysql_vhost.so

%files mod_trigger_b4_dl
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/trigger_b4_dl.conf
%{_libdir}/%{pkg_name}/mod_trigger_b4_dl.so

%if 0%{?with_geoip}
%files mod_geoip
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/geoip.conf
%{_libdir}/%{pkg_name}/mod_geoip.so
%endif

%files mod_webdav
%defattr(-,root,root,-)
%config(noreplace) %attr(640,root,%{pkg_user}) %{_sysconfdir}/%{pkg_name}/conf.d/webdav.conf
%{_libdir}/%{pkg_name}/mod_webdav.so

%changelog
* Thu Apr  3 2014 cs@linux-administrator.com
- update to release 1.4.35
* Mon Jan 20 2014 cs@linux-administrator.com
- update to release 1.4.34
* Sun Sep 29 2013 cs@linux-administrator.com
- update to release 1.4.33
* Thu Nov 22 2012 cs@linux-administrator.com
- update to 1.4.32
* Sat Jun  2 2012 cs@linux-administrator.com
- update to 1.4.31
* Sun Aug 22 2010 cs@linux-administrator.com
- update to 1.4.28
* Sat Nov 21 2009 cs@linux-administrator.com
- update to 1.4.25
  - some important bugs were fixed, some are new since 1.4.24
  - lua traceback added
  - export SSL_CLIENT_* vars for SSL client cert validation
- release 1.4.24
  - many small improvements
  - added TLS SNI
  - fixed pipelineing (shoud fix problems with lighty as debian mirror)
  - fixed some mod_fastcgi bugs
* Sat Jun 20 2009 cs@linux-administrator.com
- update to 1.4.23
  - spawn-fcgi is now going its own way as an independent project.
  - WSGI applications in / should work now
  (use the fastcgi/scgi option "fix-root-scriptname").
  - There are many other... fixes and improvements
* Tue Feb 17 2009 cs@linux-administrator.com
- update to 1.4.21
* Sat Nov 15 2008 cs@linux-administrator.com
- update to 1.4.20
* Tue Mar 11 2008 mrueckert@suse.de
- update to 1.4.19: (bnc#366526, bnc#364517, bnc#368670)
  * added support for If-Range: <date> (#1346)
  * added support for matching $HTTP["scheme"] in configs
  * fixed initgroups() called after chroot (#1384)
  * fixed case-sensitive check for Auth-Method (#1456)
  * execute fcgi app without /bin/sh if used as argument to
    spawn-fcgi (#1428)
  * fixed a bug that made /-prefixed extensions being handled also
    when matching the end of the uri in fcgi,scgi and proxy modules
    (#1489)
  * print error if X-LIGHTTPD-send-file cannot be done; reset
    header Content-Length for send-file. Patches by Stefan Buehler
  * prevent crash in certain php-fcgi configurations (#841)
  * add IdleServers and Scoreboard directives in ?auto mode for
    mod_status (#1507)
  * open log immediately after daemonizing, fixes SIGPIPEs on
    startup  (#165)
  * HTTPS env var should be "on" when using mod_extforward and the
    X-Forwarded-Proto header is set. (#1499)
  * generate ETag and Last-Modified headers for mod_ssi based on
    newest modified include (#1491)
  * support letterhomes in mod_userdir (#1473)
  * support chained proxies in mod_extforward (#1528)
  * fixed bogus "cgi died ?" if we kill the CGI process on shutdown
  * fixed ECONNRESET handling in network-openssl
  * fixed handling of EAGAIN in network-linux-sendfile (#657)
  * reset conditional cache (#1164)
  * create directories in mod_compress (was broken with
    alias/userdir) (#1027)
  * fixed out of range access in fd array (#1562, #372)
    (CVE-2008-0983)
  * mod_compress should check if the request is already handled,
    e.g. by fastcgi (#1565)
  * remove broken workaround for buggy Opera version with
    ssl/chunked encoding (#285)
  * generate etag/last-modified header for on-the-fly-compressed
    files (#1171)
  * req-method OPTIONS: do not insert default response if request
    was denied, do not deny OPTIONS by default (#1324)
  * fixed memory leak on windows (#1347)
  * fixed building outside of the src dir (#1349)
  * fixed including of stdint.h/inttypes.h in etag.c (#1413)
  * do not add Accept-Ranges header if range-request is disabled
    (#1449)
  * log the ip of failed auth tries in error.log (enhancement
    [#1544])
  * fixed RoundRobin in mod_proxy (#516)
  * check for symlinks after successful pathinfo matching (#1574)
  * fixed mod-proxy.t to run with a builddir outside of the src dir
  * do not suppress content on "307 Temporary Redirect" (#1412)
  * fixed Content-Length header if response body gets removed in
    connections.c (#1412, part 2)
  * do not generate a "Content-Length: 0" header for HEAD requests,
    added test too
  * remove compress cache file if compression or write failed
    (#1150)
  * fixed body handling of status 300 requests
  * spawn-fcgi: only try to connect to unix socket (not tcp) before
    spawning (#1575)
  * fix sending source of cgi script instead of 500 error if fork
    fails (CVE-2008-1111)
  * fix min-procs handling in mod_scgi.c, just set to max-procs
    (patch from #623)
  * fix sending "408 - Timeout" instead of "410 - Gone" for
    timedout urls in mod_secdownload (#1440)
  * workaround #1587: require userdir.path to be set to enable
    mod_userdir (empty string allowed) (CVE-2008-1270)
  * make configure checks for --with-pcre, --with-zlib and
  - -with-bzip2 failing if the headers aren't found
  * fixed handling of waitpid() == EINTR mod_ssi on solaris
* Sun Oct  7 2007 mrueckert@suse.de
- use distro lua on 10.3 or newer
* Sun Sep  9 2007 mrueckert@suse.de
- update to 1.4.18 (#307749)
  * fixed compile error on IRIX 6.5.x on prctl() (#1333)
  * fixed forwarding a SIGINT and SIGHUP when using max-workers
    (#902)
  * fixed FastCGI header overrun in mod_fastcgi
    (reported by mattias@secweb.se)
  * fixed hanging redirects with keep-alive due to missing
    "Content-Length: 0" headers
  * fixed crashing when using undefined environment variables in
    the config
  * fixed compilation of mod_mysql_vhost on irix (#1341)
* Wed Aug 29 2007 mrueckert@suse.de
- update to 1.4.17
  * added dir-listing.set-footer in mod_dirlisting (#1277)
  * added sending UID and PID for SIGTERM and SIGINT to the logs
  * fixed hardcoded font-sizes in mod_dirlisting (#1267)
  * fixed different ETag length on 32/64 platforms (#1279)
  * fixed compression of files < 128 bytes by disabling compression
  * (#1241)
  * fixed mysql server reconnects (#518)
  * fixed disabled keep-alive for dynamic content with HTTP/1.0
  * (#1166)
  * fixed crash on mixed EOL sequences in mod_cgi
  * fixed key compare (#1287)
  * fixed invalid char in header values (#1286)
  * fixed invalid "304 Not Modified" on broken timestamps
  * fixed endless loop on shrinked files with sendfile() on BSD
    (#1289)
  * fixed counter overrun in ?auto in mod_status (#909)
  * fixed too aggresive caching of nested conditionals (#41)
  * fixed possible overflow in unix-socket path checks on BSD
    (#713)
  * fixed extra Content-Length header on 1xx, 204 and 304 (#1002)
  * fixed handling of duplicate If-Modified-Since to return 304
  * fixed extracting status code from NPH scripts (#1125)
  * fixed prctl() usage (#1310)
  * removed config-check if passwd files exist (#1188)
  * fixed crash when etags are disabled but the client sends one
    (#1322)
  * fixed crash when freeing the config in mod_alias
  * fixed server.error-handler-404 breakage from 1.4.16 (#1270)
  * fixed entering 404-handler from dynamic content (#948)
  * added more debug infos for FAM based stat-cache
  * use more LSB like paths in the sample config (#1242)
* Wed Aug 22 2007 mrueckert@suse.de
- split the firewall files for http and https similar to apache
  (#247748)
* Mon Aug 20 2007 mrueckert@suse.de
- updated lighttpd-1.4.10_testsuite.patch
  new name lighttpd-1.4.16_testsuite.patch:
  - omit upstreamed snippet
* Wed Jul 25 2007 mrueckert@suse.de
- update to 1.4.16
  * added static-file.etags, etag.use-inode, etag.use-mtime,
    etag.use-size to customize the generation of ETags for static
    files. (#1209) (patch by <Yusufg@gmail.com>)
  * fixed typecast of NULL on execl() (#1235)
    (patch by F. Denis)
  * fixed circumventing url.access-deny by trailing slash (#1230)
  * fixed crash on duplicate headers with trailing WS (#1232)
  * fixed accepting more connections then requested (#1216)
  * fixed mem-leak in mod_auth (reported by Stefan Esser)
  * fixed crash with md5-sess and cnonce not set in mod_auth
    (reported by Stefan Esser)
  * fixed missing check for base64 encoded string in mod_auth and
    Basic auth (reported by Stefan Esser)
  * fixed possible crash in Auth-Digest header parser on trailing
    WS in mod_auth (reported by Stefan Esser)
  * fixed check on stale errno values, which broke handling of
    broken fastcgi applications. (#1245)
  * fixed crash on 32bit archs when debug-msgs are printed in
    mod_scgi, mod_fastcgi and mod_webdav (#1263)
- removed lighttpd-1.4.x_mod_status_orig_uri.patch:
  included upstream
* Fri May 25 2007 mrueckert@suse.de
- added lighttpd-1.4.x_mod_status_orig_uri.patch:
  show the original request uri in the mod_status output
* Mon May 14 2007 mrueckert@suse.de
- synced spec with the -snapshot rpms
* Thu Apr 19 2007 mrueckert@suse.de
- added /var/lib/lighttpd/sockets/
* Mon Apr 16 2007 mrueckert@suse.de
- update to 1.4.15:
  * fixed broken Set-Cookie headers
- additional changes from 1.4.14: (includes fixes for bnc:#246945)
  * fix crash if gethostbyaddr() failed on redirect [1718]
  * properly handle 206 responses generated by *cgi scripts.
    (#755) [1716]
  * added HTTPS=on to the environment of cgi scripts (#861) [1684]
  * fix handling of 303 (#1045) [1678]
  * made the configure check for lua more portable [1677]
  * added mod_extforward module [1665]
  * references to the fam stat cache engine should be conditional
    (#1039) [1664]
  * fix http 500 errors (colin.stephen/at/o2.com) #1041 [1663]
  * prevent wrong pidfile unlinking on graceful restart
    (Chris Webb) [1656]
  * ignore empty packets from STDERR stream. #998
  * fix a crash for files with an mtime of 0 reported by cubiq on
    irc [1519] CVE-2007-1870
  * allow empty passwords with ldap (Jörg Sonnenberger) [1516]
  * mod_scgi.c segfault fix #964 [1501]
  * Added round-robin support to mod_fastcgi [1500]
  * Handle DragonFlyBSD the same way as Freebsd
    (Jörg Sonnenberger) [1492,1676]
  * added now and weeks support to mod_expire. #943
  * fix cpu hog in certain requests [1473] CVE-2007-1869
  * fix for handling hostnames with trailing dot [1406]
  * fixed header-injection via server.tag (#1106)
  * disabled caching of files without a content-type to solve the
    aggressive caching of FF
  * remove trailing white-spaces from HTTP-requests before parsing
    (#1098)
  * fixed accesslog.use-syslog in a conditional and the caching of
    the accesslog for files (fixes #1064)
  * fixed various crashes at startup on broken accesslog.format
    strings (#1000)
  * fixed handling of %%%% in accesslog.format
  * fixed conditional dir-listing.exclude (#930)
  * reduced default PATH_MAX to 255 (#826)
  * ECONNABORTED is not known on cygwin (#863)
  * fixed crash on url.redirect and url.rewrite if %%0 is used in
    a global context (#800)
  * fixed possible crash in debug-message in mod_extforward
  * fixed compilation of mod_extforward on glibc < 2.3.4
  * fixed include of empty in the configfiles (#1076)
  * send SIGUSR1 to fastcgi children before SIGTERM. libfcgi
    wants SIGUSR1. (#737)
  * fixed missing AUTH_TYPE entry in the fastcgi environment.
    (#889)
  * fixed compilation in network_writev.c on MacOS X 10.3.9 (#903)
  * added kill-signal as another setting for fastcgi backends. See
    the wiki for more.
- fixed the default config: (#254820)
  it broke when module configs used variables
- added zlib-devel and libbz2-devel to the buildrequires for 10.3+
- added proper conditionals for older distros
- added optional mod_geoip module. (only build on the buildservice)
- added mod_magnet config file
* Mon Mar 26 2007 rguenther@suse.de
- Add gdbm-devel BuildRequires
* Sat Dec  2 2006 mrueckert@suse.de
- fixed building on sles9
* Thu Oct 19 2006 mrueckert@suse.de
- Factory has 5.1.1. so allow building against plain lua-devel
* Mon Oct  9 2006 mrueckert@suse.de
- update to 1.4.13:
- removed lighttpd-1.4.9.patch: fixed it upstream finally.
  * added initgroups in spawn-fcgi (#871)
  * added apr1 support htpasswd in mod-auth (#870)
  * added lighty.stat() to mod_magnet
  * fixed segfault in splitted CRLF CRLF sequences
    (introduced in 1.4.12) (#876)
  * fixed compilation of LOCK support in mod-webdav
  * fixed fragments in request-URLs (#869)
  * fixed pkg-config check for lua5.1 on debian
  * fixed Content-Length = 0 on HEAD requests without
    a known Content-Length (#119)
  * fixed mkdir() forcing 0700 (#884)
  * fixed writev() on FreeBSD 4.x and older (#875)
  * removed warning about a 404-error-handler
    returned 404
  * backported and fixed the buildsystem changes for
    webdav locks
  * fixed plugin loading so we can finally load lua
    extensions in mod_magnet scripts
  * fixed large uploads if xattr is enabled
- buildrequire lua51
* Mon Sep 25 2006 mrueckert@suse.de
- lighttpd.sysconfig/lighttpd.init:
  added LIGHTTPD_UMASK with a default value of "077" to make sure
  we have a sane umask. mod_webdav now honors the umask when
  creating new files.
* Sat Sep 23 2006 mrueckert@suse.de
- update to 1.4.12:
  o added experimental LOCK support for webdav
  o added Content-Range support for PUT in webdav
  o added support for += on empty arrays in config-files
  o added ssl.cipher-list and ssl.use-sslv2
  o added $HTTP["querystring"] conditional
  o added mod_magnet as long-term replacement for mod_cml
  o added work-around for a Opera Bug with SSL + Chunked-Encoding
  o changed --print-config to print to stdout instead of stderr
  o changed no longer use 0600 for new files with webdav. umask is
    honored. Make sure you have set a proper umask.
  o fixed upload hangs with SSL
  o fixed connection drops with SSL (aka bad retry)
  o fixed path traversal with \ on cygwin
  o fixed mem-leak in mod_flv_streaming
  o fixed required trailing newline in configfiles (#142)
  o fixed quoting the autoconf files (#466)
  o fixed empty Host: + $HTTP["host"] handling (#458)
  o fixed handling of If-Modified-Since if ETag is not set
  o fixed default-shell if SHELL is not set (#441)
  o fixed appending and assigning of env.* vars
  o fixed empty FCGI_STDERR packets
  o fixed conditional server.allow-http-11
  o fixed handling of follow-symlink + lstat()
  o fixed SIGHUP handling if max-workers is used
  o fixed "Software caused connection abort" messages on FreeBSD
- additional changes from 1.4.11:
  o added ability to specify which ip address spawn-fci listens on
    (agkr@pobox.com)
  o added mod_flv_streaming to streaming Flash Movies efficiently
  o fixed handling of error codes returned by mod_dav_svn behing a
    mod_proxy
  o fixed error-messages in mod_auth and mod_fastcgi
  o fixed re-enabling overloaded local fastcgi backends
  o fixed handling of deleted files in linux-sendfile
  o fixed compilation on BSD and MacOSX
  o fixed $SERVER["socket"] on a already bound socket
  o fixed local source retrieval on windows
    (secunia)
  o fixed hanging cgi if remote side is dieing while reading
    from the pipe (sandy@meebo.com)
* Thu Jul 20 2006 olh@suse.de
- remove unused neon from buildrequires
* Tue May 30 2006 mrueckert@suse.de
- updated to 1.4.10
  * added ability to specify which ip address spawn-fci listens on
  (agkr@pobox.com)
  * added mod_flv_streaming to streaming Flash Movies efficiently
  * fixed handling of error codes returned by mod_dav_svn behing a
  mod_proxy
  * fixed error-messages in mod_auth and mod_fastcgi
  * fixed re-enabling overloaded local fastcgi backends
  * fixed handling of deleted files in linux-sendfile
  * fixed compilation on BSD and MacOSX
  * fixed $SERVER["socket"] on a already bound socket
  * fixed local source retrieval on windows
  (secunia)
  * fixed hanging cgi if remote side is dieing while reading
  from the pipe (sandy@meebo.com)
- removed lighttpd-1.4.10_importantfixes.patch:
  all changes are upstream
- updated lighttpd-1.4.10_testsuite.patch:
  o removed max-request size
  o fixed count of the fastcgi tests.
* Mon Mar  6 2006 mrueckert@suse.de
- added lightytest.sh
  wrapper script around the test suite. so we properly cleanup the
  php-fastcgi process.
* Mon Mar  6 2006 mrueckert@suse.de
- added new splitted config (config.tar.bz2)
- added lighttpd-1.4.10_importantfixes.patch:
  + typo in mod_cml documentation (doc/cml.txt)
  + added paragraph about using var. and env.
  (doc/configuration.txt)
  + explain fastcgi.map-extensions (doc/fastcgi.txt)
  + include FAM_CFLAGS/SQLITE3_CFLAGS when needed (src/Makefile.am)
  + dont crash if using %%0 reference in a !~ conditional (tln #557)
  (src/configfile-glue.c)
  + handle additional request types/methods for webdav
  this allows proxying mod_dav_svn through lighttpd.
  (src/connections.c, src/keyvalue.c, src/keyvalue.h)
  + handle aliases correctly with force_lowercase_filenames
  (src/mod_alias.c)
  + improved error message for errors in the authentication config
  (src/mod_auth.c)
  + cgi module no longer resets physical path (mod_cgi.c)
  + close unused pipe-fds as soon as possible to generate a
  SIGPIPE if the remote end dies. (src/mod_cgi.c)
  + only send REQUEST_URI and QUERY_STRING if they are set
  (src/mod_cgi.c)
  + added host.load as status-variable (src/mod_fastcgi.c)
  + better handling for shrinking files
  (src/network_linux_sendfile.c)
  + don't init a SERVER["socket"] if it is initialized already
  (src/network.c)
  + fixed end of life memleaks (tln #524) (src/server.c)
  + removed umask(0);, let the old umask stay in place (tln #547)
  + test suite fixes (tests/mod-fastcgi.t, tests/request.t)
  + allow leading zeros in HTTP/01.01 (tln #542)
  (tests/core.t, src/request.c)
  + fixed handling of subdirs in ssi (tln #462) (src/mod_ssi.c)
- start lighttpd with a minimal environment
- added update for the server.tag in the config file
* Mon Feb 20 2006 mrueckert@suse.de
- split off mod_rrdtool
* Wed Feb  8 2006 mrueckert@suse.de
- update to version 1.4.10
  * added docs for mod_dirlisting
  * added fastcgi.map-extensions to mod_fastcgi
  * fixed load balancing for mod_fastcgi
  * fixed extra newline for syslog() in mod_accesslog
  * fixed user-track cookie for IE in mod_usertrack
  * fixed crash in digest handling in mod_auth
  * fixed handling of 301 response-bodies from a mod_proxy backend
  * fixed loading of base modules if server.modules is not set
  * fixed broken cgi if mod_scgi is loaded
- enabled test suite
- applied lighttpd-1.4.10_testsuite.patch
  - limits the max request size to 2GB. otherwise it would be 2^63-1
  on 64bit arches and one tests would fail.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 mrueckert@suse.de
- splitted up all modules that pull in extra dependencies
  lighttpd-mod_cml - lua, libmemcache
  lighttpd-mod_mysql_vhost - mysql-shared
  lighttpd-mod_trigger_b4_dl - libmemcache,gdbm
  lighttpd-mod_webdav - libxml2, sqlite3
* Mon Jan 23 2006 mrueckert@suse.de
- fix typo in the file section
* Sun Jan 15 2006 mrueckert@suse.de
- update to version 1.4.9
  * added server.core-files option (sandy)
  * added docs for mod_status
  * added mod_evasive to limit the number of connections by IP ()
  * added the power-magnet to mod_cml
  * added internal statistics to mod_fastcgi
  * added server.statistics-url to get internal statistics
    from mod_status
  * added support for conditional range-requests through If-Range
  * added static building via scons
  * fixed 100%% cpu loops in mod_cgi ("sandy" )
  * fixed handling for secure-download.timeout
    (jamis@37signals.com)
  * fixed IE bug in content-charset in the output of
    mod_dirlisting (sniper@php.net)
  * fixed typos and language in the docs
    (ryan-2005@ryandesign.com)
  * fixed assertion in mod_cgi on HEAD request is Content-Length ()
  * fixed handling if equal but duplicate If-Modified-Since request
    headers
  * fixed endless loops in mod_fastcgi if backend is dead
  * fixed Depth: 1 handling in PROPFIND requests on empty dirs
  * fixed encoding of UTF8 encoded dirlistings (Jani Taskinen )
  * fixed initial bind to a unix-domain socket through server.bind
  * fixed handling of lowercase filesystems
  * fixed duplicate request headers cause by mod_setenv
- added lighttpd-1.4.9_mod_fastcgi_crash.patch
  temporary fix a crash in the log message
* Wed Nov 23 2005 mrueckert@suse.de
- update to version 1.4.8
  * added auto-reconnect to ldap-server in mod_auth
  * changed auth.ldap-cafile to be optional
  * added strip_request_uri in mod_fastcgi
  * added more X-* headers to mod_proxy
  * added 'debug' to simple-vhost to suppress the messages by default
  * added support to let the server listen on UNIX-socket
  * changed default stat-cache-engine to 'simple'
  * removed debian/ dir from source package on request by packager
  * fixed max-age timestamps in mod_expire
  * fixed encoding the filenames in PROPFIND in mod_webdav
  * fixed range request handling in network_writev
  * fixed retry on connect error in mod_fastcgi
  * fixed possible crash in mod_webdav if sqlite3 support
    is available but not use
  * fixed fdvent-handler init if server.max-worker was used
  * fixed missing cleanup in mysql_vhost
  * fixed assert() in "connections.c:962:
    connection_handle_read_state: Assertion 'c->mem->used' failed."
  * fixed 64bit issue in md5
  * fixed crash in mod_status
  * fixed duplicate headers in mod_proxy
  * fixed Content-Length in HEAD request in mod_proxy
  * fixed unsigned/signed comparisions
  * fixed streaming in mod_cgi
  * fixed possible overflow in password-salt handling
  * fixed server-traffic-limit if connection limit is not set
- reenabled FAM support. (using gamin)
* Tue Oct 11 2005 mrueckert@suse.de
- update to version 1.4.6
  * fixed compilation on MacOS X and cygwin
  * fixed compressed output if caching was disabled (seen in IE and Opera)
  * fixed range-request option
  * fixed mysql-vhost module (was broken in 1.4.5)
  * fixed false positive in the detection of case-insensitive FS
* Tue Oct  4 2005 mrueckert@suse.de
- update to version 1.4.5
